/**
 * File to hold all inline styles by module name
 * @author patrickkerrypei / https://github.com/patrickkerrypei
 */

export const AuthorizationWidget = {
    selectableButtonGroup: {
        paddingTop: "30px",
        textAlign: "center"
    },
    submitButtonGroup: {
        float: "right",
        paddingRight: "15px"
    }
};

export const ColorMenu = {
    colorMenu: {
        paddingLeft: "10%"
    },
    dropdownMenu: {
        width: "150px"
    },
    menuHeader: {
        paddingTop: "-6px",
        paddingRight: "13px",
        paddingBottom: "-6px",
        paddingLeft: "20px"
    }
};

export const ProfileImage = {
    borderRadius: "25%"
};

export const DataTable = {
    noEntriesLabel: {
        textAlign: "center"
    },
    paginationButtons: {
        column: {
            textAlign: "center"
        },
        buttons: {
            WebkitUserSelect: "none",
            KhtmlUserSelect: "none",
            MozUserSelect: "none",
            MsUserSelect: "none",
            OUserSelect: "none",
            userSelect: "none",
            outlineStyle: "none",
            WebkitTapHighlightColor: "transparent"
        }
    },
    selectDropdown: {
        column: {
            textAlign: "right"
        },
        label: {
            fontWeight: "normal"
        },
        options: {
            padding: "5px 1px"
        }
    },
    showString: {
        fontWeight: "normal",
        lineHeight: "2.4"
    }
};

export const Unselectable = {
    WebkitUserSelect: "none",
    KhtmlUserSelect: "none",
    MozUserSelect: "none",
    MsUserSelect: "none",
    OUserSelect: "none",
    userSelect: "none",
    outlineStyle: "none",
    WebkitTapHighlightColor: "transparent"
};

export const DataTablePagination = {
    unselectable: {
        WebkitUserSelect: "none",
        KhtmlUserSelect: "none",
        MozUserSelect: "none",
        MsUserSelect: "none",
        OUserSelect: "none",
        userSelect: "none",
        outlineStyle: "none",
        WebkitTapHighlightColor: "transparent"
    }
};

export const Footer = {
    mainFooter: {
        fontSize: "12px",
        marginBottom: "1px",
        padding: "0px"
    },
    footerLeft: {
        paddingLeft: "10px"
    },
    footerRight: {
        paddingRight: "10px"
    }
};

export const Header = {
    breadCrumb: {
        position: "absolute",
        boxSizing: "border-box",
        padding: "15px 15px",
        listStyleType: "none",
        display: "inline"
    },
    breadCrumbIcon: {
        fontSize: "20px"
    },
    breadCrumbListItem: {
        display: "inline",
        color: "white"
    },
    breadCrumbLink: {
        color: "white",
        cursor: "pointer",
        display: "inline",
        fontSize: "13px",
        textDecoration: "none"
    }
};

export const HomePage = {
    profileBox: {
        paddingLeft: "10%",
        paddingRight: "10%"
    },
    widgetBox: {
        color: "white"
    }
};

export const LoginField = {
    invalidMessage: {
        column: {
            textAlign: "center"
        },
        text: {
            color: "red",
            textAlign: "center"
        }
    }
};

export const LoginForm = {
    invalidLogin: {
        column: {
            textAlign: "center"
        },
        text: {
            color: "red",
            textAlign: "center"
        }
    }
};

export const Multiselect = {
    marginBottom: "10px"
};

export const AdminBadge = {
    isAdmin: {
        color: "green",
        cursor: "pointer"
    },
    isNotAdmin: {
        color: "red",
        cursor: "pointer"
    }
};

export const OrganizationsPage = {
    modalDialog: {
        position: "absolute",
        top: "15%",
        left: "40%"
    }
};

export const OrganizationsTable = {
    createOrganizationModal: {
        paddingTop: "50%",
        marginTop: "50%"
    },
    modalDialogTextField: {
        marginLeft: "15px",
        paddingRight: "15px"
    }
};

export const ProfileBox = {
    profileBoxBorder: {
        padding: "10px 10px",
        marginLeft: "25%",
        width: "50%"
    },
    updateButton: {
        float: "right"
    },
    deleteButton: {
        float: "left",
        tabindex: "-1"
    },
    infoTitle: {
        fontSize: "12px",
        fontWeight: "700",
        color: "#959595",
        letterSpacing: '1px'
    },
    preTextArea: {
        maxHeight: "200px"
    },
    textArea: {
        width: "100%",
        height: "200px",
        fontFamily: "monospace",
        fontSize: "12px",
        resize: "vertical"
    }
};

export const ProfilePage = {
    profileBox: {
        paddingLeft: "10%",
        paddingRight: "10%"
    }
};

export const ProjectPage = {
    titleBox: {
        paddingTop: "6px"
    },
    titleContainer: {
        marginBottom: "10px"
    },
    projectTitle: {
        marginLeft: "10px",
        display: "inline",
        fontSize: "28px",
        fontWeight: "500"
    },
    viewInEditor: {
        button: {
            marginRight: "10px",
            marginTop: "3px"
        },
        column: {
            paddingRight: "30px",
            paddingTop: "14px"
        }
    }
};

export const RegisterForm = {
    linkToLogin: {
        column: {
            paddingTop: "10px"
        }
    },
    registrationNotAllowed: {
        color: "red",
        fontSize: "15px",
        paddingBottom: "10px",
        textAlign: "center"
    },
    registerButton: {
        float: "right",
        marginTop: "5px"
    }
};

export const SideBarMenu = {
    sidebarCategoryStyle: {
        lineHeight: "30px",
        fontFamily: `"Helvetica Neue", Roboto, Arial, "Droid Sans", sans-serif`,
        color: "#E7E7E7"
    }
};

export const SideBarUserPanel = {
    status: {
        color: "#BAB8B8",
        fontSize: "13px",
        lineHeight: "15px",
        paddingLeft: "23px"
    },
    name: {
        color: "#ECF0F1",
        fontSize: "14px",
        fontWeight: "light",
        paddingLeft: "20px",
        paddingTop: "5px"
    },
    panel: {
        padding: "15px"
    },
    imageIcon: {
        borderRadius: 0,
        maxWidth: "50px",
        paddingLeft: "7px",
        paddingTop: "5px"
    }
};

export const UserMenu = {
    logoutButtonPadding: {
        padding: "9px 100px"
    },
    logoutButtonBorder: {
        borderColor: "#777777"
    },
    logoutAreaBorder: {
        padding: "2px"
    },
    userHeader: {
        height: "145px"
    }
};
